<?php
/*
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
* Licensed to the Apache Software Foundation (ASF) under one
* or more contributor license agreements.  See the NOTICE file
* distributed with this work for additional information
* regarding copyright ownership.  The ASF licenses this file
* to you under the Apache License, Version 2.0 (the
* "License") +  you may not use this file except in compliance
* with the License.  You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an
* "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
* KIND, either express or implied.  See the License for the
* specific language governing permissions and limitations
* under the License.
*/

$string['openmeetings'] = 'openmeetings';
$string['openmeetings:addinstance'] = 'Add instance of Openmeetings';
$string['openmeetings:becomemoderator'] = 'Become moderator in an Openmeetings Room';

$string['modulename'] = 'OpenMeetings';
$string['modulename_help'] = 'OpenMeetings is a free browser-based software that allows you to set up instantly a conference in the Web. You can use your microphone and/or webcam, share documents on a white board, share your screen or record meetings.
<br><br>This Moodle plugin uses Apache OpenMeetings.
<br>You need your own Apache OpenMeetings instance running.<br><br>For more information see: <a href="http://openmeetings.apache.org">http://openmeetings.apache.org</a>';
$string['modulenameplural'] = 'OpenMeetings';

$string['whiteboardfieldset'] = 'Custom example fieldset';
$string['whiteboardintro'] = 'OpenMeetings Intro';
$string['whiteboardname'] = 'Conference Name';

$string['host'] = 'OpenMeetings Server Host or IP';
$string['port'] = 'OpenMeetings Server Port';
$string['user'] = 'OpenMeetings Admin User';
$string['pass'] = 'OpenMeetings Admin User Password';
$string['moduleKey'] = 'Module Key';
$string['moduleKeyDesc'] = 'Advanced setting: OpenMeetings Module key (vary for multiple instances using same OpenMeetings Server)';

$string['Room_Name'] = 'Room name';
$string['Room_Type'] = 'Room type';
$string['Room_Language'] = 'Room Language';
$string['Max_User'] = 'Max users';
$string['Wait_for_teacher'] = 'Moderation modus';

$string['recordings_label'] = 'The Recording Field is only used if Room Type is Recording. Instead of the conference room a recording will be shown.';
$string['recordings_show'] = 'Available Recordings to Shows';

$string['Conference'] = 'Conference (max 16 participants)';
$string['Interview'] = 'Interview (2 participants)';
$string['Restricted'] = 'Webinar (max 150 participants)';
$string['Recording'] = 'Show Recording (select recording from drop down to be shown instead of meeting)';

$string['Moderation_Description'] = '(Moodle Administratoren, teachers and course creators are automatically a moderator)';
$string['Moderation_TYPE_1'] = 'Participants need to wait till the teacher enters the room';
$string['Moderation_TYPE_2'] = 'Participants can already start (first User in room becomes moderator)';
$string['Moderation_TYPE_3'] = 'Every participant is automatically moderator when he/she enters the room';

$string['Allow_Recording'] = 'Recording allowed';
$string['Recording_TYPE_1'] = 'Recording functionality is available.';
$string['Recording_TYPE_2'] = 'Recording functionality is not available.';

$string['webapp'] = 'OpenMeetings webapp name';
$string['webappDesc'] = 'Advanced setting: If you have renamed the OpenMeetings webapp you can enter your alternative name here.';

$string['download_mp4'] = 'Download .mp4';

$string['pluginadministration'] = 'OpenMeetings Administration';
$string['pluginname'] = 'OpenMeetings';
$string['whole_window'] = 'Occupy the entire window';
$string['whole_window_type_1'] = 'Display in frame';
$string['whole_window_type_2'] = 'Occupy the entire window';
$string['whole_window_type_3'] = 'Open in new window';
$string['protocol'] = 'Protocol';
$string['protocolDesc'] = 'Protocol to be used while constructing Openmeetings URLs (default: http)';

$string['description'] = 'Description';

$string['Chat_Hidden'] = 'Chat hidden';
$string['Chat_Hidden_TYPE_1'] = 'Display chat in the room.';
$string['Chat_Hidden_TYPE_2'] = 'Hide chat in the room.';

$string['Version_Ok'] = 'You have compatible version of OpenMeetings: ';
$string['Version_Bad'] = 'You need to update your OpenMeetings, minimum version is: ';

$string['checkpeer'] = 'Check SSL certificate';
$string['checkpeerDesc'] = 'Enable/Disable SSL certificate checking, INSECURE if unchecked (default: checked)';
$string['checkhost'] = 'Hostname verification';
$string['checkhostDesc'] = 'Enable/Disable hostname verification, INSECURE if unchecked (default: checked)';

$string['upload_file'] = 'Upload file';
$string['room_files'] = 'Room files';
$string['wb_index'] = 'White board index';
$string['om_file'] = 'Existing OM file';
$string['room_file'] = 'Room file';
$string['remove'] = 'Remove';
$string['clean_wb'] = 'Clean White board';

$string['No_Recordings'] = 'No Recordings';
